## org.apache.mahout.cf.taste.impl.recommender
Class PreferredItemsNeighborhoodCandidateItemsStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
          org.apache.mahout.cf.taste.impl.recommender.PreferredItemsNeighborhoodCandidateItemsStrategy

All Implemented Interfaces:
  Refreshable, CandidateItemsStrategy, MostSimilarItemsCandidateItemsStrategy

    public final class PreferredItemsNeighborhoodCandidateItemsStrategy

extends AbstractCandidateItemsStrategy

Constructor Summary
`PreferredItemsNeighborhoodCandidateItemsStrategy()`

Method Summary
`protected FastIDSet` `doGetCandidateItems(long[] preferredItemIDs, DataModel dataModel)` returns all items that have not been rated by the user and that were preferred by another user that has preferred at least one item that the current user has preferred too

Methods inherited from class org.apache.mahout.cf.taste.impl.recommender.AbstractCandidateItemsStrategy
`getCandidateItems, getCandidateItems, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferredItemsNeighborhoodCandidateItemsStrategy

    public PreferredItemsNeighborhoodCandidateItemsStrategy()

Method Detail

### doGetCandidateItems

    protected FastIDSet doGetCandidateItems(long[] preferredItemIDs,
                                            DataModel dataModel)
                                     throws TasteException

  returns all items that have not been rated by the user and that were preferred by another user that has preferred at least one item that the current user has preferred too

  Specified by:
    `doGetCandidateItems` in class `AbstractCandidateItemsStrategy`
  Throws:
    `TasteException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.